Applications
Update application
Update properties or settings of an existing application.
PUT
/
applications
/
{id}
Update application
curl --request PUT \
--url https://api.sevalla.com/v2/applications/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"display_name": "My Application",
"auto_deploy": true,
"default_branch": "main",
"hibernation_enabled": false,
"hibernate_after_seconds": 3600,
"build_path": ".",
"build_type": "nixpacks",
"docker_file_path": "Dockerfile",
"docker_context": "."
}
'import requests
url = "https://api.sevalla.com/v2/applications/{id}"
payload = {
"display_name": "My Application",
"auto_deploy": True,
"default_branch": "main",
"hibernation_enabled": False,
"hibernate_after_seconds": 3600,
"build_path": ".",
"build_type": "nixpacks",
"docker_file_path": "Dockerfile",
"docker_context": "."
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
display_name: 'My Application',
auto_deploy: true,
default_branch: 'main',
hibernation_enabled: false,
hibernate_after_seconds: 3600,
build_path: '.',
build_type: 'nixpacks',
docker_file_path: 'Dockerfile',
docker_context: '.'
})
};
fetch('https://api.sevalla.com/v2/applications/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"app": {
"id": "fb5e5168-4281-4bec-94c5-0d1584e9e657",
"name": "my-app",
"status": "deploymentSuccess",
"updated_at": 1738195200000,
"build_path": ".",
"build_type": "nixpacks",
"docker_file_path": "Dockerfile",
"docker_context": ".",
"display_name": "My Application",
"auto_deploy": true,
"default_branch": "main",
"hibernation_enabled": false,
"hibernate_after_seconds": 3600
}
}{
"message": "Not found",
"status": 404,
"data": {
"code": "err_12345",
"message": "The requested resource was not found"
}
}{
"message": "Not found",
"status": 404,
"data": {
"code": "err_12345",
"message": "The requested resource was not found"
}
}{
"message": "Not found",
"status": 404,
"data": {
"code": "err_12345",
"message": "The requested resource was not found"
}
}{
"message": "Not found",
"status": 404,
"data": {
"code": "err_12345",
"message": "The requested resource was not found"
}
}{
"message": "Not found",
"status": 404,
"data": {
"code": "err_12345",
"message": "The requested resource was not found"
}
}Authorizations
API key authentication. Pass your API key as a Bearer token in the Authorization header.
Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Example:
"fb5e5168-4281-4bec-94c5-0d1584e9e657"
Body
application/json
Display name of the application
Required string length:
1 - 64Example:
"My Application"
Whether auto deploy is enabled
Example:
true
Default git branch
Minimum string length:
1Example:
"main"
Whether hibernation is enabled
Example:
false
Seconds before hibernation
Required range:
x <= 9007199254740991Example:
3600
Build path
Example:
"."
Build type (dockerfile, pack, nixpacks, railpack)
Available options:
dockerfile, pack, nixpacks, railpack Example:
"nixpacks"
Dockerfile path
Example:
"Dockerfile"
Docker context path
Example:
"."
Response
Default Response
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Update application
